package com.repair.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/31 星期一 17:33
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eTechnicianStatu {
    Receiving(1),//待接单
    Maintenance(2),//维修中
    Timeout(3),//已超时
    examine(4);//待审核

    private int value;

    eTechnicianStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eTechnicianStatu valueOf(int value) {
        switch (value) {
            case 1:
                return eTechnicianStatu.Receiving;
            case 2:
                return eTechnicianStatu.Maintenance;
            case 3:
                return eTechnicianStatu.Timeout;
            case 4:
                return eTechnicianStatu.examine;
            default:
                return null;
        }
    }
}
